jQuery.support.cors = true;
System.Gadget.settingsUI = "settings.html";
System.Gadget.onSettingsClosed = settingsClosed;

var height	= false;
var refresh = false;

var station = false;
var showAutogas = false;
var showDiesel = false;
var showBenzin = false;
var showSuper = false;
var showSuperPlus = false;
var showE10 = false;
var showE85 = false;

function initGadget()
{
	height = 32;

	$.ajax(
	{
		url: 'http://xml.tas-tankstellen.de/xml/' + station + '.xml?' + new Date().getTime(),
		type: "GET",
		dataType: "xml",
		success: function( result )
		{
			$( "#stand" ).html( $( result ).find( "aenderung" ).text() );
			$( "#station" ).html( $( result ).find( "tankstelle" ).text() );
			
			if( showAutogas )
			{
				$autogas = $( result ).find( "autogas" ).text();
				if( $autogas )
				{
					$( "#autogas" ).show();
					$( "#autogas div" ).html( $autogas );
					height += 44;
				}
			}
			
			if( showDiesel )
			{
				$diesel = $( result ).find( "diesel" ).text();
				if( $diesel )
				{
					$( "#diesel" ).show();
					$( "#diesel div" ).html( $diesel );
					height += 44;
				}
			}
			
			if( showBenzin )
			{
				$benzin = $( result ).find( "benzin" ).text();
				if( $benzin )
				{
					$( "#benzin" ).show();
					$( "#benzin div" ).html( $benzin );
					height += 44;
				}
			}
			
			if( showSuper )
			{
				$super = $( result ).find( "super" ).text();
				if( $super )
				{
					$( "#super" ).show();
					$( "#super div" ).html( $super );
					height += 44;
				}
			}
			
			
			if( showSuperPlus )
			{
				$superplus = $( result ).find( "superplus" ).text();
				if( $superplus )
				{
					$( "#superplus" ).show();
					$( "#superplus div" ).html( $superplus );
					height += 44;
				}
			}
			
			
			if( showE10 )
			{
				$e10 = $( result ).find( "supere10" ).text();
				if( $e10 )
				{
					$( "#e10" ).show();
					$( "#e10 div" ).html( $e10 );
					height += 44;
				}
			}
			
			
			if( showE85 )
			{
				$e85 = $( result ).find( "e85" ).text();
				if( $e85 )
				{
					$( "#e85" ).show();
					$( "#e85 div" ).html( $e85 );
					height += 44;
				}
			}
			
			
			$( "body" ).css( "width", "150px" );
			$( "body" ).css( "height", height + "px" );
		}
	} );
}

function settingsLoad()
{
	refresh = System.Gadget.Settings.read( "refresh" );
	if( !refresh )
	{
		refresh = 15;
		System.Gadget.Settings.write( "refresh", refresh );
	}
	if( refresh < 1 )
		refresh = 1;

	station = System.Gadget.Settings.read( "station" );
	if( !station )
	{
		station = "Freden";
		System.Gadget.Settings.write( "station", station );
	}
	
	showAutogas  = System.Gadget.Settings.read( "showAutogas" );
	if( typeof showAutogas == "string" )
	{
		showAutogas = true;
		System.Gadget.Settings.write( "showAutogas", showAutogas );
	}
	
	showDiesel  = System.Gadget.Settings.read( "showDiesel" );
	if( typeof showDiesel == "string" )
	{
		showDiesel = true;
		System.Gadget.Settings.write( "showDiesel", showDiesel );
	}
	
	showBenzin  = System.Gadget.Settings.read( "showBenzin" );
	if( typeof showBenzin == "string" )
	{
		showBenzin = true;
		System.Gadget.Settings.write( "showBenzin", showBenzin );
	}
	
	showSuper  = System.Gadget.Settings.read( "showSuper" );
	if( typeof showSuper == "string" )
	{
		showSuper = true;
		System.Gadget.Settings.write( "showSuper", showSuper );
	}
	
	showSuperPlus  = System.Gadget.Settings.read( "showSuperPlus" );
	if( typeof showSuperPlus == "string" )
	{
		showSuperPlus = true;
		System.Gadget.Settings.write( "showSuperPlus", showSuperPlus );
	}
	
	showE10  = System.Gadget.Settings.read( "showE10" );
	if( typeof showE10 == "string" )
	{
		showE10 = true;
		System.Gadget.Settings.write( "showE10", showE10 );
	}
	
	showE85  = System.Gadget.Settings.read( "showE85" );
	if( typeof showE85 == "string" )
	{
		showE85 = true;
		System.Gadget.Settings.write( "showE85", showE85 );
	}
	
}

function settingsClosed( event )
{
	if( event.closeAction == event.Action.commit )
	{
		location.reload();
	}
}

$( function() { settingsLoad(); initGadget(); setInterval( "initGadget()", ( refresh * 60 * 1000 ) ); } );